com.streambase.sb.unittest

## Class CSVTupleMaker

- java.lang.Object
- - com.streambase.sb.unittest.AbstractTupleMaker<String>
  - - com.streambase.sb.unittest.CSVTupleMaker

- All Implemented Interfaces:
    TupleMaker<String>

      public class CSVTupleMaker
      extends AbstractTupleMaker<String>

  A factory to build `Tuple`s from CSV formatted `String`s.
  Since:
    6.6
  See Also:
    `TupleMaker`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CSVTupleMaker` | `MAKER` Static `CSVTupleMaker` instance suitable as argument to `Enqueuer` and `Expecter` methods that need a `TupleMaker`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSVTupleMaker(CSV.FormatInfo format)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tuple` | `createTuple(Schema schema, String str)` create a `Tuple`s from an input object

    - ### Methods inherited from class com.streambase.sb.unittest.AbstractTupleMaker

      `createTuples, createTuples`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAKER

          public static final CSVTupleMaker MAKER

      Static `CSVTupleMaker` instance suitable as argument to `Enqueuer` and `Expecter` methods that need a `TupleMaker`. This instance will parse CSV using `CSV.DEFAULT_FORMAT`.

  - ### Constructor Detail

    - #### CSVTupleMaker

          public CSVTupleMaker(CSV.FormatInfo format)

  - ### Method Detail

    - #### createTuple

          public Tuple createTuple(Schema schema,
                                   String str)
                            throws StreamBaseException

      Description copied from interface: `TupleMaker`
      create a `Tuple`s from an input object
      Specified by:
        `createTuple` in interface `TupleMaker<String>`
      Specified by:
        `createTuple` in class `AbstractTupleMaker<String>`
      Parameters:
        `schema` - the schema for the tuple
        `str` - the input data to build it from
      Returns:
        the result tuple
      Throws:
        `StreamBaseException`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.